import React from "react";
import { OrderedList, ListItem } from "@chakra-ui/react";
import { Heading, Box } from "@chakra-ui/react";

const ProductList = (props) => {
  return (
    <div>
      <Box border="3px" borderColor="gray.200">
        <Heading as="h2" size="xl">
          Product List
        </Heading>
        <OrderedList>
          {props.data.map((data) => {
            return (
              <ListItem key={data.id}>
                {data.name} ({data.color})
              </ListItem>
            );
          })}
        </OrderedList>
      </Box>
    </div>
  );
};

export default ProductList;
