import React, { Component } from "react";
import UserList from "./UserList.js";
import ProductList from "./ProductList.js";
import Hoc from "./HOC";

const productData = [
  { id: 1, name: "Car", color: "Red" },
  { id: 2, name: "Phone", color: "black" },
  { id: 3, name: "Laptop", color: "silver" },
];
const userData = [
  { id: 1, name: "Jack", email: "jack@gmail.com" },
  { id: 2, name: "Alice", email: "alice@gmail.com" },
  { id: 3, name: "Steve", email: "steve@gmail.com" },
];

const Users = Hoc(UserList, userData);
const Products = Hoc(ProductList, productData);

class Main extends Component {
  render() {
    return (
      <div>
        <Users></Users>
        <Products></Products>
      </div>
    );
  }
}

export default Main;
